#pragma once
#include <string>

class ArchiveManager {
public:
    ArchiveManager();
    bool pack(const std::string& folderPath, const std::string& archivePath);
    bool unpack(const std::string& archivePath, const std::string& outDir);
    bool readConfigJson(const std::string& archivePath, std::string& outJson);
    bool writeConfigJson(const std::string& archivePath, const std::string& json);
}; 